<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        .location {
            width: 50px;
            height: 50px;
            border: solid 1px;
            margin: 5px;
            float: left;
        }

        .location:nth-child(2n+1) {
            clear: both;
        }
    </style>
    <script>
        function _Location(who, height) {
            this.who = who;
            this.height = height;
            this.element = null;
            this.init = function () {
                var el = document.createElement("div");
                el.className = "location";
                //var that = this;
                el.onclick = function () {
                    alert("Hi!!! " + this.who + " " + this.height)
                }.bind(this)
                this.element = el;
                document.body.appendChild(el);
            }
            this.init()
        }

        _Location.prototype.alercik = function () {
            alert("aaaa");
        }

        delete _Location.prototype.alercik

        document.addEventListener("DOMContentLoaded", function (event) {
            game = {
                board: [
                    [new _Location("brunette", 176), new _Location("brown hair", 148)],
                    [new _Location("redhead", 186), new _Location("blonde", 162)]
                ],
                player: {
                    pos_x: 0,
                    pos_y: 0,
                    report: function (p) { // person
                        //log kto stoi na pozycji
                        console.log(p.who, p.height);

                    },
                    go: function (direction) {
                        //obsługa kierunków "up", "down" itd.
                        if (direction == "up") this.pos_y--
                        if (direction == "down") this.pos_y++
                        if (direction == "left") this.pos_x--
                        if (direction == "right") this.pos_x++
                        // => highlight
                        this.highlight();
                    },
                    highlight: function () {
                        var person = game.board[this.pos_y][this.pos_x]
                        // podświetelenia
                        for (var i = 0; i < game.board.length; i++)
                            for (var j = 0; j < game.board[i].length; j++)
                                game.board[i][j].element.style.backgroundColor = "white";
                        game.board[this.pos_y][this.pos_x].element.style.backgroundColor = "pink";

                        // => report
                        this.report(person);
                    }
                }
            }
            game.player.highlight();
        })
    </script>
</head>

<body>
    <button onclick="game.player.go('up')">UP</button>
    <button onclick="game.player.go('down')">DOWN</button>
    <button onclick="game.player.go('left')">LEFT</button>
    <button onclick="game.player.go('right')">RIGHT</button>
</body>

</html>